//===========================================================================
// Createurs : Clement VIGUIER & Jean-Baptiste SILVY
// Fichier : CGToondeplPS.h
// Description : Classe pour le Pixel Shader des traits
//
//===========================================================================


#ifndef __CGTOONDEPLPS_H
#define __CGTOONDEPLPS_H

#include "./CGPixelShader.h"


//-------------------------------------------------------------------------
class CCGToondeplPS : public CCGPixelShader
{

public :

   //----------------------------------------------------------------
   // CONSTRUCTEURS - DESTRUCTEURS
   CCGToondeplPS( CGcontext context, const char * file, const char * entry )
      : CCGPixelShader( context, file, entry ) {}
   //----------------------------------------------------------------

   //----------------------------------------------------------------
   // INTERFACE UTILISATION
   void enable(  void ) ;
   void disable( void ) ;
   //----------------------------------------------------------------

   //----------------------------------------------------------------
   // PARAMETRAGE DU SHADER
   void setTraitTexParamName  ( const char * name ) ;

   // parametres uniformes constants
   void setCU_TraitTex  ( GLuint texname ) ;
   
   //----------------------------------------------------------------

private :

   CGparameter m_cgpTraitTex   ;



} ;
//-------------------------------------------------------------------------

#endif //__CGToondeplPS_H
