//===========================================================================
// Createurs : Clement VIGUIER & Jean-Baptiste SILVY
// Fichier : CGVertexShader.h
// Description : Classe permettant de stocker les informations necessaires
//               a un Vertex Shader ecrit en CG.
//===========================================================================


#ifndef __CGVERTEXSHADER_H
#define __CGVERTEXSHADER_H

#include "./CGShader.h"


//-------------------------------------------------------------------------
class CCGVertexShader : public CCGShader
{

public :

   //----------------------------------------------------------------
   // CONSTRUCTEURS - DESTRUCTEUR
   CCGVertexShader(       CGcontext    context                     ,
                    const char      *  file                        ,
                    const char      *  entry         = 0           ,
                          CGenum       type          = CG_SOURCE   ,
                          CGprofile    profile       = (CGprofile)0,    // 0 == meilleur
                    const char      ** compiler_args = 0            ) ; // 0 == meilleur
   //----------------------------------------------------------------

} ;
//-------------------------------------------------------------------------

#endif //__CGVERTEXSHADER_H
