SOURCES	+= CGToonimPS.cpp \
	CGToonimVS.cpp \
	CGToondeplVS.cpp \
	CGToondeplPS.cpp \
	CGPixelShader.cpp \
	CGShader.cpp \
	CGShaderManager.cpp \
	CGVertexShader.cpp \
	GLWindow.cpp \
	Toon.cpp \
	CGPass.cpp \
	CGEffect.cpp \
	GLTexture.cpp \
	GLLight.cpp

HEADERS	+= CGToonimPS.h \
	CGToonimVS.h \
	CGToondeplVS.h \
	CGToondeplPS.h \
	CGPixelShader.h \
	CGShader.h \
	CGVertexShader.h \
	CGShaderManager.h \
	GLWindow.h \
	CGPass.h \
	CGEffect.h \
	GLTexture.h \
	GLLight.h

ROOTDIR         = ./
TARGET	        = Toon
VERSION         = 1.0
DESTDIR         = $$ROOTDIR
MOC_DIR         = moc_files
OBJECTS_DIR     = obj_files

#CONFIG         += qt thread warn_on opengl debug console


unix:TMAKE_LIBS = -L$$ROOTDIR/lib

win32:TMAKE_LIBS = $$ROOTDIR/lib/qglviewer.lib



DEPENDPATH = $$INCLUDEPATH


TEMPLATE	=app
CONFIG	+= qt thread warn_off opengl release console
win32:DEFINES	+= __WIN32
INCLUDEPATH	+= $$ROOTDIR/include /usr/local/include/QGLViewer /home/gibe/Serieux/X3D/X3DToolKit-0.6/include
win32:LIBS	+= Imm32.lib cg.lib cgGL.lib glut32.lib
unix:LIBS	+= -lQGLViewer -lCg -lCgGL -lglut -lX3DTK
LANGUAGE	= C++
